# -*- coding: utf-8 -*-
"""
    demeter database
    name:device_printer_log.py
    author:rabin
"""
from .__load__ import *
class Device_printer_log(Model):
	__table__ = 'device_printer_log'
	__comment__ = '设备打印机日志管理'
	id = Fields(type='uuid', primaryKey=True, comment='日志ID', uuid='farm_id')
	farm_id = Fields(type='int', default='setting.farm', comment='园区ID', match='not')
	uid = Fields(type='uuid', comment='用户ID')
	printer_id = Fields(type='uuid', comment='打印机id')
	table_name = Fields(type='varchar(150)', comment='表名')
	table_id = Fields(type='uuid', comment='表id')
	content = Fields(type='varchar(500)', comment='日志内容')
	num = Fields(type='int', comment='打印张数')
	state = Fields(type='boolean', default='True', comment='数据存在状态')
	cdate = Fields(type='int', default='time', comment='创建时间', manage='list')